## lua-orbit 2.1.0+dfsg

=== Makefile ===
# $Id: Makefile,v 1.4 2008/04/04 19:52:07 mascarenhas Exp $

include config

all:

config:
	touch config

install:
	mkdir -p $(LUA_DIR)
	cp src/orbit.lua $(LUA_DIR)
	mkdir -p $(LUA_DIR)/orbit
	cp src/model.lua $(LUA_DIR)/orbit
	cp src/cache.lua $(LUA_DIR)/orbit
	cp src/pages.lua $(LUA_DIR)/orbit
	cp src/ophandler.lua $(LUA_DIR)/orbit
	mkdir -p $(BIN_DIR)
	cp src/orbit $(BIN_DIR)
	if [ -f ./wsapi/Makefile ]; then \
	  cd wsapi && make install; \
	fi

install-rocks: install
	mkdir -p $(PREFIX)/samples
	cp -r samples/* $(PREFIX)/samples
	mkdir -p $(PREFIX)/doc
	cp -r doc/* $(PREFIX)/doc
	mkdir -p $(PREFIX)/test
	cp -r test/* $(PREFIX)/test

clean:

=== debian/changelog ===
lua-orbit (2.1.0+dfsg-3) unstable; urgency=low

  * source format 3.0 (quilt)
  * bumped standards-version to 3.9.2, no changes needed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 23 Jul 2011 10:26:21 +0200

lua-orbit (2.1.0+dfsg-2) unstable; urgency=low

  * added conflicts/replaces in control (Closes: 557053)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 19 Nov 2009 12:48:20 +0100

lua-orbit (2.1.0+dfsg-1) unstable; urgency=low

  * new upstream release
  * added README.source
  * bumped standards-version to 3.8.3, no changes 
  * bumped API version to 1, since the new release alters the API
  * fixed watch file 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 17 Nov 2009 20:26:50 +0100

lua-orbit (2.0.2-3) unstable; urgency=low

  * bumped standards-version to 3.8.2, no changes needed
  * build depend on lua5.1-policy-dev 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 17:13:00 +0200

lua-orbit (2.0.2-2) unstable; urgency=low

  * depend over wsapi API/ABI version 1

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 27 Mar 2009 15:36:38 +0100

lua-orbit (2.0.2-1) unstable; urgency=low

  * new upstream release
  * bumped standards-version to 3.8.1, no changes needed
  * added Depends over misc:Depends

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 23 Mar 2009 10:48:35 +0100

lua-orbit (2.0.1-1) unstable; urgency=medium

  * new upstream release fixing a minor bug

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 11 Jun 2008 21:43:24 +0200

lua-orbit (2.0.0-1) unstable; urgency=medium

  * new upstream release featuring better documentation

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 07 Jun 2008 12:09:30 +0200

lua-orbit (2.0~rc1-2) unstable; urgency=low

  * Added dependency over liblua5.1-policy-dev (Closes: #479939)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 07 May 2008 11:54:05 +0200

lua-orbit (2.0~rc1-1) unstable; urgency=low

  * Initial release. (Closes: #462659)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 17 Apr 2008 11:11:55 +0200

=== debian/control ===
Source: lua-orbit
Section: web
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), lua5.1-policy-dev (>= 32)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-orbit
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-orbit
Homepage: http://orbit.luaforge.net

Package: liblua5.1-orbit1
Architecture: all
Depends: ${shlibs:Depends}, liblua5.1-wsapi1, liblua5.1-filesystem0, liblua5.1-cosmo0, ${misc:Depends}
Recommends: liblua5.1-sql-sqlite3-2
Conflicts: liblua5.1-orbit0
Replaces: liblua5.1-orbit0
Description: MVC web framework for Lua
 Orbit is a library for developing web applications according to
 the Model-View-Controller paradigm in Lua.
 .
 Orbit also includes a basic OR mapper that currently only works with
 lua-sql SQLite3 driver. 

Package: liblua5.1-orbit-dev
Architecture: all
Depends: ${misc:Depends}
Recommends: liblua5.1-orbit1
Section: libdevel
Description: Documentation files for the orbit MVC framework
 This package contains the documentation and some sample applications for 
 the orbit MVC framework.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/lua.mk
DEB_INSTALL_DOCS_liblua5.1-orbit-dev := -Xdump -X.db -Xpopulate -X.xcf -X.md
DEB_COMPRESS_EXCLUDE := .lua .txt

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-orbit
#
version=3
opts="uversionmangle=s/$/+dfsg/" \
http://luarocks.org/repositories/rocks/ http://cloud.github.com/downloads/keplerproject/orbit/orbit-([\d\.]*).tar.gz

## lua-orbit 2.2.0%2Bdfsg1

=== debian/changelog ===
lua-orbit (2.2.0+dfsg1-1) unstable; urgency=low

  * Add jquery-1.2.3.js to the tarball and mention it in README.source and
    in copyright

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 01 May 2012 15:15:30 +0200

lua-orbit (2.2.0+dfsg-1) unstable; urgency=low

  * New upstream release
  * Update watch file
  * Switch to dh-lua
  * Packages renamed according to the new Lua policy
  * debian/compat set to 8 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Apr 2012 16:52:06 +0200

## lua-orbit 2.2.0+dfsg1

=== debian/control ===
Source: lua-orbit
Section: web
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-orbit
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-orbit
Homepage: http://orbit.luaforge.net

Package: lua-orbit
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-wsapi, lua-filesystem, lua-cosmo
Recommends: lua-sql-sqlite3
Replaces: liblua5.1-orbit1 (<< 2.2.0+dfsg-1~), liblua5.1-orbit-dev (<< 2.2.0+dfsg-1~)
Breaks: liblua5.1-orbit1 (<< 2.2.0+dfsg-1~), liblua5.1-orbit-dev (<< 2.2.0+dfsg-1~)
Provides: liblua5.1-orbit1, liblua5.1-orbit-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: MVC web framework for Lua
 Orbit is a library for developing web applications according to
 the Model-View-Controller paradigm in Lua.
 .
 Orbit also includes a basic OR mapper that currently only works with
 lua-sql SQLite3 driver. 
 .
 This package also contains the documentation and some sample applications for 
 the orbit MVC framework.
 
Package: liblua5.1-orbit-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-orbit
Description: Transitional package for lua-orbit
 This is a transitional package to ease upgrades to the lua-orbit
 package. It can safely be removed.

Package: liblua5.1-orbit1
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-orbit
Description: Transitional package for lua-orbit
 This is a transitional package to ease upgrades to the lua-orbit
 package. It can safely be removed.

## lua-orbit 2.2.0+gita6fb46e+dfsg

=== debian/changelog ===
lua-orbit (2.2.0+gita6fb46e+dfsg-1) unstable; urgency=low

  * Clean up orig tarballs to comply to DFSG 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 13 Aug 2013 10:18:11 +0200

lua-orbit (2.2.0+gita6fb46e-1) unstable; urgency=low

  * New upstream snapshot fix bugs w.r.t. lua-lpeg

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 01 May 2012 15:18:29 +0200

## lua-orbit 2.2.1%2Bdfsg

=== debian/changelog ===
lua-orbit (2.2.1+dfsg-5) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.7.2.
      - Using Salsa instead of Alioth.
  * debian/salsa-ci.yml: created.
  * debian/watch:
      - Bumped to version 4.
      - Updated the search rule.
      - Using dversionmangle instead of uversionmangle
        to handle '+dfsg' suffix.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 09 Apr 2025 23:28:18 -0300

lua-orbit (2.2.1+dfsg-4) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 21 Jun 2023 17:03:49 -0300

lua-orbit (2.2.1+dfsg-3) experimental; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.6.2.

 -- Caua Matheus Alves Correa <caua10000@gmail.com>  Sat, 27 May 2023 11:05:08 -0300

lua-orbit (2.2.1+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995516)

 -- Marcos Talau <talau@debian.org>  Mon, 14 Nov 2022 10:58:47 -0300

lua-orbit (2.2.1+dfsg-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 16:38:24 +0100

lua-orbit (2.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Clarify license name in debian/copyright

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 02 Feb 2014 10:26:44 +0100

## lua-orbit 2.2.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -11,12 +11,12 @@
 	mkdir -p $(LUA_DIR)
 	cp src/orbit.lua $(LUA_DIR)
 	mkdir -p $(LUA_DIR)/orbit
-	cp src/model.lua $(LUA_DIR)/orbit
-	cp src/cache.lua $(LUA_DIR)/orbit
-	cp src/pages.lua $(LUA_DIR)/orbit
-	cp src/ophandler.lua $(LUA_DIR)/orbit
+	cp src/orbit/model.lua $(LUA_DIR)/orbit
+	cp src/orbit/cache.lua $(LUA_DIR)/orbit
+	cp src/orbit/pages.lua $(LUA_DIR)/orbit
+	cp src/orbit/ophandler.lua $(LUA_DIR)/orbit
 	mkdir -p $(BIN_DIR)
-	cp src/orbit $(BIN_DIR)
+	cp src/launchers/orbit $(BIN_DIR)
 	if [ -f ./wsapi/Makefile ]; then \
 	  cd wsapi && make install; \
 	fi

=== debian/control ===
Source: lua-orbit
Section: web
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua
Standards-Version: 3.9.3
Homepage: https://github.com/keplerproject/orbit
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-orbit.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-orbit.git

Package: lua-orbit
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-wsapi, lua-filesystem, lua-cosmo
Recommends: lua-sql-sqlite3
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: MVC web framework for Lua
 Orbit is a library for developing web applications according to
 the Model-View-Controller paradigm in Lua.
 .
 Orbit also includes a basic OR mapper that currently only works with
 lua-sql SQLite3 driver. 
 .
 This package also contains the documentation and some sample applications for 
 the orbit MVC framework.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_installdocs:
	dh_installdocs -Xdump -X.db -Xpopulate -X.xcf -X.md

override_dh_compress:
	dh_compress -X.lua -X.txt
